package standard;

import java.util.ArrayList;

import structure.Structure;

public class ArrayListStd<E> extends ArrayList<E> implements Structure{
	
	private ArrayList<E> liste;
	
	public ArrayListStd()
	{
		liste = new ArrayList<E>();
	}
	
	@Override
	public void ajout(Object element, int position) {
		liste.add(position, (E) element);
	}

	@Override
	public void suppression(int position) {
		liste.remove(position);
	}

	@Override
	public Object acces(int position) {
		return liste.get(position);
	}
}
